Skip to main content
GET
/
account-log
Get account log
curl --request GET \
  --url https://futures.kraken.com/api/history/v3/account-log \
  --header 'APIKey: <api-key>' \
  --header 'Authent: <api-key>'
{
  "accountUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "logs": [
    {
      "asset": "<string>",
      "booking_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "collateral": "<string>",
      "contract": "<string>",
      "date": "<unknown>",
      "execution": "<string>",
      "fee": 123,
      "funding_rate": 123,
      "id": 2,
      "margin_account": "<string>",
      "mark_price": 123,
      "new_average_entry_price": 123,
      "new_balance": 123,
      "old_average_entry_price": 123,
      "old_balance": 123,
      "realized_funding": 123,
      "realized_pnl": 123,
      "trade_price": 123,
      "conversion_spread_percentage": 123,
      "liquidation_fee": 123,
      "exchange_rate": 123,
      "conversion_fee": 123,
      "exchange_rate_from": "<string>"
    }
  ]
}

Authorizations

APIKey
string
header
required

General API key with at least read-only access

Authent
string
header
required

Authentication string

Query Parameters

since
integer<timestamp-milliseconds>

Unix timestamp in milliseconds.

Example:

1604937694000

before
integer<timestamp-milliseconds>

Unix timestamp in milliseconds.

Example:

1604937694000

from
integer

ID of the first entry (inclusive). IDs start at 1.

Example:

1

to
integer

ID of the last entry (inclusive).

Example:

100

sort
enum<string>
default:desc

Order of events in response. asc = chronological, desc = reverse-chronological.

Available options:
asc,
desc
info
enum<string>[]

Types of entry to filter by. Only these types will be returned.

Available options:
futures trade,
futures liquidation,
futures assignor,
futures assignee,
futures unwind counterparty,
futures unwind bankrupt,
covered liquidation,
funding rate change,
conversion,
interest payment,
transfer,
cross-exchange transfer,
kfee applied,
subaccount transfer,
settlement,
admin transfer,
tax withheld,
tax refund
Example:
["futures trade"]
count
integer
default:500

Amount of entries to be returned.

conversion_details
boolean
default:false

Include exchange rate and conversion fee for conversions.

Response

Account log.

accountUid
string<uuid>
required

UID of the account

logs
object[]
required